swift.engine — потому что скорость имеет значение!
Потому что
скорость имеет значение!



Технические подробности

swift.engine — это клиент-серверное приложение, исполняемое преимущественно на стороне сервера.


Серверная часть работает под управлением web-сервера Apache любой версии, начиная с 1.3.20, и требует наличия PHP4, скомпилированного в виде модуля, версии 4.0.6 или выше. Работоспособность под PHP5 не гарантируется. Скрипты серверной части работают под любыми ОС семейств Linux, Windows NT, или *BSD UNIX (возможна эксплуатация и под другими POSIX-совместимыми ОС).

В качестве СУБД используется MySQL, версии 3.23+, 4.0+, 4.1+ (под 5.0 или более новыми работоспособность не гарантируется).


Клиентская часть (Административный интерфейс Конструктора) требует браузера Microsoft Internet Explorer версии 6.0 или выше, или любого браузера, полностью совместимого с ним на уровне объектной модели.

Конечный HTML, генерируемый для посетителя, зависит от настроек конкретного сайта и может быть совместим с любым браузером. Также возможна генерация любого другого контента, например, в виде XML или двоичных данных.


swift.engine не требует наличия каких-либо дополнительных системных библиотек (только если они не используются расширениями стороних разработчиков) и не предъявляет высоких требований по быстродействию к оборудованию (гарантированно работает даже на машинах класса i586).

Конструктор также не требователен к каналам связи — для работы в Административном интерфейсе достаточно «ширины» обычного модемного соединения.

Copyright © 1995–2007 MITTEC